node安装--linux下的快速安装教程

时间:2017-08-29 15:09 来源:网管之家整理 字体:[ ] 评论:

前言

因为要使用koa2,所以要对node进行升级。(Koa requires node v7.6.0 or higher for ES2015 and async function support.翻译过来就是,koa需要node的版本至少为7.6,也就是说,需要node支持ES2015和async的语法)

我的操作系统是CentOS,安装的node版本是7.7。

如何升级

1.下载编译好的二进制包


然后将这个二进制包上传到服务器上,然后通过xz程序解压。


如果出现上边的这个错误的话,请杀掉吃内存的进程,或者直接重启机器吧,我的服务器使用的阿里云盘,只有2G的内存,因此,出现了这个问题。

执行完xz后,我们会的到一个tar文件,然后再对tar文件执行,tar -xvf node-v7.7.3-linux-x64.tar即可。

2.编译/etc/profile文件

编辑/etc/profile,修改文件路径。

export NODE_HOME=/home/userp/node/node-v7.7.3-linux-x64
export PATH=$PATH:$NODE_HOME/bin
export NODE_PATH=$NODE_HOME/lib/node_modules


最后执行:source /etc/profile,让配置文件生效。(注意:对于xshell来说,一定要重新开一个标签再使用node -v来看配置是否成功,因为,xshell有缓存)


好了,node的快速安装就完成了,是不是很简单。

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持网管之家。

Top_arrow